name: {{#snakeCase}}{{project_name}}{{/snakeCase}}
description: {{{description}}}
version: 1.0.0+1
publish_to: none

environment:
  sdk: ">=2.17.0 <3.0.0"

dependencies:
  bloc: ^8.0.3
  flutter:
    sdk: flutter
  flutter_bloc: ^8.0.1
  flutter_localizations:
    sdk: flutter
  intl: ^0.17.0

  wyatt_bloc_helper:
    git:
      url: https://git.wyatt-studio.fr/Wyatt-FOSS/wyatt-packages
      ref: wyatt_bloc_helper-v1.1.0
      path: packages/wyatt_bloc_helper

dev_dependencies:
  bloc_test: ^9.0.3
  flutter_test:
    sdk: flutter
  mocktail: ^0.3.0
  intl_utils: ^2.6.1
  dependency_validator: ^3.2.0

  wyatt_analysis:
    git:
      url: https://git.wyatt-studio.fr/Wyatt-FOSS/wyatt-packages
      ref: wyatt_analysis-v2.1.0
      path: packages/wyatt_analysis

flutter:
  uses-material-design: true
  generate: true

flutter_intl:
  enabled: true
  main_locale: fr
  arb_dir: assets/l10n
